<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto">

    <data>

        <variable
            name="layout"
            type="app.snappik.insureme.utils.view.MenuItemView" />

        <variable
            name="expandTip"
            type="boolean" />

        <variable
            name="onClickRunnable"
            type="Runnable" />

        <variable
            name="availabilityAlpha"
            type="Float" />

        <variable
            name="tipText"
            type="String" />

        <variable
            name="subText"
            type="String" />

        <variable
            name="titleText"
            type="String" />

        <import type="android.view.View" />
        <import type="androidx.core.text.HtmlCompat"/>
    </data>

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginStart="24dp"
        android:layout_marginEnd="24dp"
        android:layout_marginBottom="8dp"
        android:alpha="@{availabilityAlpha}"
        android:animateLayoutChanges="true"
        android:background="@drawable/round_button_option_selector"
        android:minHeight="48dp"
        android:onClick="@{v -> onClickRunnable.run()}"
        android:orientation="vertical">

        <androidx.constraintlayout.widget.ConstraintLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent">

            <TextView
                style="@style/SettingsTextView"
                android:text="@{titleText}"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toTopOf="parent" />

            <ImageView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginTop="4dp"
                android:layout_marginEnd="4dp"
                android:layout_marginBottom="4dp"
                android:onClick="@{v -> layout.onExpand()}"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintTop_toTopOf="parent"
                android:visibility='@{tipText.equals("") ? View.GONE : View.VISIBLE}'
                app:srcCompat="@drawable/ic_how_it_works"
                android:contentDescription="@string/guid_item_explanation" />
        </androidx.constraintlayout.widget.ConstraintLayout>

        <TextView
            style="@style/SettingsSubTextView"
            android:text="@{HtmlCompat.fromHtml(subText, HtmlCompat.FROM_HTML_MODE_COMPACT)}" />

        <TextView
            android:id="@+id/menu_item_tip"
            style="@style/SettingsSubTextView"
            android:layout_margin="8dp"
            android:layout_marginEnd="8dp"
            android:singleLine="false"
            android:text="@{tipText}"
            android:visibility="@{expandTip ? View.VISIBLE : View.GONE}" />
    </LinearLayout>
</layout>